program z12;
var a, i, n: integer;
    k,s,y,f: real;

begin
  Write('Задайте a n');
  readln(a,n);
  s:=1;
  f:=1;
for i:=n downto 1 do
 begin
  s:=s*a;{Находим степень заданного числа}
  f:=i*f;{Находим факториал заданного числа}
 end;
y:=s+f/12;{ вычисляем последний член дроби}
for i:=1 to n-1 do
 begin
  s:=s/a; {Уменьшаем степень в a раз}
  f:=f/(n+1-i);{Уменьшаем факториал}
  k:=f/y; {вычисляем очередной член дроби}
  y:=s+k; {вычисляем сумму дроби с конца}
 end;
writeln('z12 y=  ',y:2:6);
end.
  
  